JALV(1)

NAME
jalv - run an LV2 plugin with a command-line interface

SYNOPSIS
jalv [-dhipstx] [-b size] [-c symbol=value] [-U ui_uri] [-l dir] [-n name] plugin_state

DESCRIPTION
jalv is a simple LV2 host that runs one plugin. It has several versions, this one has an interactive command-line interface.

jalv has one positional argument, which can be a plugin URI, preset URI, or the path to a bundle or data file that describes one.

The options are as follows:

-b bytes
    Buffer size for communication between plugin and UI. The default value should be enough, but if there are overflows, this option can be used to allocate more space.

-c symbol=value
    Set control value, for example, -c vol=1.4 where “vol” is the symbol of a control port on the plugin.

-d  Dump communication between plugin and UI to stdout. Note that this may print an extreme amount of text, piping the output to a pager or file is recommended.

-h  Print the command line options and exit.

-i  Ignore input on stdin and run non-interactively.

-l dir
    Load state from the given directory before running the plugin.

-n name
    Use the given JACK client name. Note that JACK may adjust the name if necessary unless -x is also given.

-p  Print control output changes to stdout.

-s  Show plugin UI if possible. This option only works when plugins provide a UI that uses the non-embeddable showHide interface. For embeddable UIs, use jalv.gtk3(1) instead.

-t  Print debug trace messages. This enables the “trace” LV2 log, which is used by some plugins to print debugging output. Some extra internal error messages are also enabled. Note that this may print in the audio thread, which can cause dropouts.

-U uri
    Load the UI with the given URI. Usually only one suitable UI is available on a given platform, which is used by default. If there are several, this option can be used to select which is loaded.

-V  Print version information and exit.

-x  Use only the exact JACK client name given by -n or exit if it's unavailable.

COMMANDS
The Jalv prompt supports several commands for interactive control:

help
    Display help message.
controls
    Print settable control values.
monitors
    Print output control values.
presets
    Print available presets.
preset uri
    Ic preset Ar path Load and apply preset.
quit
    Quit program.
set index value
    Set control value by port index (a non-negative integer).
set symbol value
    Set control value by symbol (a simple string identifier).

ENVIRONMENT

LV2_PATH
    Search path for LV2 bundles, in PATH format.

SEE ALSO
jalv.gtk3(1), jalv.qt5(1), lv2ls(1)

AUTHORS
jalv was written by David Robillard <d@drobilla.net>, with contributions by Robin Gareus, Hanspeter Portner, and others.